petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSynchronizedFPrintf

Prints synchronized output to the specified file from several processors. Output of the first processor is followed by that of the second, etc.

### Synopsis

    PetscErrorCode  PetscSynchronizedFPrintf(MPI_Comm comm,FILE *fp,const char format[],...)

Not Collective Many br

### Input Parameters

| comm | - the communicator Many br
| fd | - the file pointer Many br
| format | - the usual printf() format string Many br

Many br

### Notes

REQUIRES a intervening call to PetscSynchronizedFlush() for the information Many brfrom all the processors to be printed. Many br

### See Also

PetscSynchronizedPrintf(), PetscSynchronizedFlush(), PetscFPrintf(),
PetscFOpen(), PetscViewerASCIISynchronizedPrintf(), PetscViewerASCIIPrintf() Many br

Level:intermediate
Location:src/sys/fileio/mprint.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages